.\"	$NetBSD: eso.4,v 1.6 2002/04/25 00:57:47 kleink Exp $
.\"
.\" Copyright (c) 1999 Klaus J. Klein
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
.\" BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
.\" AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
.\" OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd June 22, 2005
.Dt ESO 4
.Os
.Sh NAME
.Nm eso
.Nd ESS Technology Solo-1 PCI AudioDrive audio device driver
.Sh SYNOPSIS
.Cd "eso*   at pci? dev ? function ?"
.Cd "audio* at audiobus?"
.Cd "joy*   at eso?"
.Cd "mpu*   at eso?"
.Cd "opl*   at eso?"
.Sh DESCRIPTION
The
.Nm
device driver supports sound cards based on ESS Technology Solo-1
PCI AudioDrive chips (ES1938 and ES1946),
e.g. the TerraTec 128i PCI card.
.Sh DIAGNOSTICS
.Bl -diag
.It "eso0: can't map Audio 1 DMA into I/O space"
PCI autoconfiguration did not map the first audio channel DMA controller into
I/O space at a suitable address, and the driver was not able map it by itself.
In that case only playback functionality will be available.
.It "eso0: reset timeout"
The device failed to acknowledge being reset.
.It "eso0: RDR timeout"
The driver timed out reading data from a controller register.
.It "eso0: WDR timeout"
The driver timed out waiting to send a command or writing to a controller
register.
.El
.Sh SEE ALSO
.Xr audio 4 ,
.Xr joy 4 ,
.Xr mpu 4 ,
.Xr opl 4 ,
.Xr pci 4
.Sh HISTORY
The
.Nm
device driver appeared in
.Nx 1.5 .
The on-board gameport was first supported in
.Nx 1.6 .
